// macro to decode the ridf format file and put into root tree file

void RIDF2Tree(){

  gSystem->Load("libanacore.so");

  TArtEventStore *estore = new TArtEventStore();
  TArtRawEventObject *rawevent = new TArtRawEventObject();

  TFile *fout = new TFile("ridf.pool.root","RECREATE");
  TTree * tree = new TTree("tree","ridf tree");

  int neve = 0;

  tree->Branch("rawdata",rawevent);
  estore->Initialize(rawevent); 
  estore->Open("/data0/isobe/ribf10/beta/d02_run0032.ridf");
  //  estore->Open(); // online mode
  estore->LoadMapConfig("conf/mapper.conf");

  while(estore->GetNextEvent() && neve<10000){

    if(neve%1000==0)
      cout << "Event:" << neve << endl;

    tree->Fill();
    rawevent->Clear();
    neve ++;
  }

  fout->Write();
  fout->Close();

}
